| IOLink Python 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Properties | List of all members
iolink.iolink.TransformMatrix4Factory Class Reference
Inheritance diagram for iolink.iolink.TransformMatrix4Factory:

## Public Member Functions
| __init__ (self)

## Static Public Member Functions
| translation (v)
| rotation_euler (angles, convention)
| rotation_on_axis (angle, axis)
| scaling (v)

## Properties
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")

## Detailed Description

    Create matrices for 3D transforms.

## Member Function Documentation

## ◆ rotation_euler()

iolink.iolink.TransformMatrix4Factory.rotation_euler | ( |  | angles,
|  |  | convention
| ) |  |
| static

        Create a rotation matrix for a rotation using Euler angles.

        The rotation is described by three Euler angles, chaining rotations, following
        a given convention.

        The convention is decribed by a three-character-string, where each character
        describes the axis of rotation for the corresponding angle.
        A lowercase convention means that we are describing an extrinsic rotation,
        while an uppercase convention means that we are describing an intrinsic
        rotation. A mixed case convention is invalid.

        Extrinsinc and intrinsinc conventions are the inverse of each other, so
        for example, intrinsinc convention "ZYX" is equivalent to the extrinsic
        convention "xyz".

        Common conventions:
        - "ZYX": Rotation around Z, then Y, then X.
        - "ZXZ": Rotation around Z, then X, then Z.

        :type angles: :py:class:`Vector3d`
        :param angles: The Euler angles of the rotation.
        :type convention: string
        :param convention: The convention used for the rotation.
        :rtype: :py:class:`Matrix4d`
        :return: The rotation matrix.

        :raises: InvalidArgument If the convention is invalid.

## ◆ rotation_on_axis()

iolink.iolink.TransformMatrix4Factory.rotation_on_axis | ( |  | angle,
|  |  | axis
| ) |  |
| static

        Create a rotation matrix for a rotation around an axis.

        Rotation is done counter-clockwise, around the given axis.

        :type angle: float
        :param angle: The rotation angle.
        :type axis: :py:class:`Vector3d`
        :param axis: The axis around which the rotation is done, must be normalized.
        :rtype: :py:class:`Matrix4d`
        :return: The rotation matrix.

## ◆ scaling()

iolink.iolink.TransformMatrix4Factory.scaling | ( |  | v | ) |
| static

        Create a scaling matrix.

        :type v: :py:class:`Vector3d`
        :param v: The scaling factors.
        :rtype: :py:class:`Matrix4d`
        :return: The scaling matrix.

## ◆ translation()

iolink.iolink.TransformMatrix4Factory.translation | ( |  | v | ) |
| static

        Create a translation matrix.

        :type v: :py:class:`Vector3d`
        :param v: The vector used for the translation.
        :rtype: :py:class:`Matrix4d`
        :return: The translation matrix.

The documentation for this class was generated from the following file:

- Release/python/iolink/iolink.py